BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.IO.IOException System.Runtime.InteropServices.ComVisible(true)

Represents the error that occurs when a file is found but cannot be loaded.

The exception is thrown when the file fails to load because it cannot be located. If the file is located, but cannot be loaded due to insufficient permissions, a is thrown.

FileLoadException has the default HRESULT of COR_E_FILELOAD, which has the value 0x80131621, but this is not the only possible HRESULT.

If your code does not have permission, the error message for this exception may only contain file or directory names instead of fully qualified paths.

This exception is not included in the .NET for Windows Store apps or the Portable Class Library, but it is thrown by some members that are. To catch the exception in that case, write a catch statement for instead.

The exception that is thrown when a managed assembly is found but cannot be loaded.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The property and property of the new instance are initialized to null.

  Initializes a new instance of the class, setting the property of the new instance to a system-supplied message that describes the error, such as "Could not load the specified file." This message takes into account the current system culture.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor initializes the property of the new instance using . The property and property of the new instance are initialized to null.

  Initializes a new instance of the class with the specified error message.

  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with serialized data.

  The that holds the serialized object data about the exception being thrown.
  The that contains contextual information about the source or destination.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The InnerException property returns the same value that is passed into the constructor, or null if the InnerException property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  For more information on inner exceptions, see .

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor initializes the property of the new instance using and the property using . The property of the new instance is initialized to null.

  is not required to be a file stored on disk; it can be any part of a system that supports access to streams. For example, depending on the system, this class might be able to access a physical device.

  Initializes a new instance of the class with a specified error message and the name of the file that could not be loaded.

  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  A containing the name of the file that was not loaded.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A containing the name of the file that was not loaded.

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The InnerException property returns the same value that is passed into the constructor, or null if the InnerException property does not supply the inner exception value to the constructor.

  is not required to be a file stored on disk; it can be any part of a system that supports access to streams. For example, depending on the system, this class might be able to access a physical device.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  For more information on inner exceptions, see .

  Initializes a new instance of the class with a specified error message, the name of the file that could not be loaded, and a reference to the inner exception that is the cause of this exception.

  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  A containing the name of the file that was not loaded.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.
  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the name of the file that caused the current exception.

  This property returns the name of the file supplied to the constructor for the current instance, if any. If the file name was not specified or is a null reference, this property returns a null reference.

  This property is read-only.

  Gets the name of the file that causes this exception.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the log file that describes why an assembly load failed.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Sets the with the file name and additional exception information.

  The that holds the serialized object data about the exception being thrown. The that contains contextual information about the source or destination.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing a message that describes the error that caused the current exception.

  This property overrides .

  If no message was supplied to the constructor for the current exception, this property returns a system-supplied error message. If the property is not a null reference, the message includes the file name, for example, "Unable to load file a ." (a represents the value returned by .) If is null, this is indicated in the system-supplied message as "(null)". The system-supplied message takes into account the current system culture.

  This property is read-only.

  Gets the error message and the name of the file that caused this exception.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method overrides .

  The string representation returned by this method includes the name of the exception, the value of the the value of the property, and the result of calling . If any of these members is a null reference, its value is not included in the returned string.

  Returns the fully qualified name of the current exception, and possibly the error message, the name of the inner exception, and the stack trace.

  A string containing the fully qualified name of this exception, and possibly the error message, the name of the inner exception, and the stack trace, depending on which constructor is used.

  0
0